#include "../ir.h"
#include "../../frontend/frontend.h"

int main(int argc, const char** argv) {
    const char* file_name = "test_file.c";
    if (argc == 2) {
        file_name = argv[1];
    }
    FILE* fp = fopen(file_name, "r");
    if (fp == NULL) {
        perror("open file failed");
        return 1;
    }
    printf("open file success\n");
    struct ASTNode* root = frontend("test.c", fp, (sread_fn)fread_s);
    gen_ir_from_ast(root);
    return 0;
}
