#ifndef __SMCC_LEXER_LOG_H__
#define __SMCC_LEXER_LOG_H__

#include <lib/rt/rt.h>

#define LEX_NOTSET( fmt, ...)     LOG_NOTSET("LEXER: " fmt, ##__VA_ARGS__)
#define LEX_DEBUG(  fmt, ...)      LOG_DEBUG("LEXER: " fmt, ##__VA_ARGS__) 
#define LEX_INFO(   fmt, ...)       LOG_INFO("LEXER: " fmt, ##__VA_ARGS__)  
#define LEX_WARN(   fmt, ...)       LOG_WARN("LEXER: " fmt, ##__VA_ARGS__)  
#define LEX_ERROR(  fmt, ...)      LOG_ERROR("LEXER: " fmt, ##__VA_ARGS__) 
#define LEX_FATAL(  fmt, ...)      LOG_FATAL("LEXER: " fmt, ##__VA_ARGS__) 

#endif // __SMCC_LEXER_LOG_H__
